# Uses of Class
org.eclipse.birt.report.model.api.ComputedColumnHandle

Packages that use ComputedColumnHandle
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")
org.eclipse.birt.report.model.api.impl
org.eclipse.birt.report.model.api.simpleapi
Report element representations in the BIRT simple API environment.
org.eclipse.birt.report.model.api.util
Utility classes.

## Uses of ComputedColumnHandle in org.eclipse.birt.report.model.api

Methods in org.eclipse.birt.report.model.api that return ComputedColumnHandle
Modifier and Type
Method
Description
`ComputedColumnHandle`
GroupHandle.`addColumnBinding(ComputedColumn addColumn, boolean inForce)`
Deprecated.
since BIRT 2.1 RC2
`ComputedColumnHandle`
ReportItemHandleImpl.`addColumnBinding(ComputedColumn addColumn, boolean inForce)`
Adds a bound column to the list.
`ComputedColumnHandle`
ScalarParameterHandle.`addColumnBinding(ComputedColumn addColumn, boolean inForce)`
Adds a bound column to the list.
`ComputedColumnHandle`
ReportItemHandleImpl.`findColumnBinding(String name)`
Finds a column binding with the given name.

## Uses of ComputedColumnHandle in org.eclipse.birt.report.model.api.impl

Methods in org.eclipse.birt.report.model.api.impl with parameters of type ComputedColumnHandle
Modifier and Type
Method
Description
`IDataBinding`
SimpleElementFactory.`createDataBinding(ComputedColumnHandle columnHandle)`

## Uses of ComputedColumnHandle in org.eclipse.birt.report.model.api.simpleapi

Methods in org.eclipse.birt.report.model.api.simpleapi with parameters of type ComputedColumnHandle
Modifier and Type
Method
Description
`IDataBinding`
ISimpleElementFactory.`createDataBinding(ComputedColumnHandle columnHandle)`
Creates the data biinding structure.

## Uses of ComputedColumnHandle in org.eclipse.birt.report.model.api.util

Methods in org.eclipse.birt.report.model.api.util that return ComputedColumnHandle
Modifier and Type
Method
Description
`static ComputedColumnHandle`
ColumnBindingUtil.`addColumnBinding(ReportItemHandle handle, ComputedColumn column)`
Binds a column to the given element.